Doomsday Engine - Bug #1064

[Hexen] Interludes can no longer be moved (MAPINFO vs. Infine)
2012-07-09 22:27 - vermil

Status: New Start date: 2012-07-09
Priority: High % Done: 0%
Assignee:

Category: Redesign

Target version: Modding

Description

Vanilla HeXen plays an intermission as soon as the player enters a map with a different cluster number (set in the MAPINFO lump).
But Dday expects HeXen intermissions to be on specific maps (i.e the Infine defs for them are all set to display after X specific map).

Labels: Hexen, Addons

Related issues:
Related to Feature #1369: Dynamic map lists (episode structure) Closed 2004-12-15

History

#1 - 2012-07-09 22:41 - vermil

I've attached a test wad that makes intermission 1 play after map01...in Vanilla 1.0 and 1.1. In Dday it does nothing.

#2 - 2012-07-09 22:41 - danij

In Hexen v1.1 the map progression and interlude animations to play are defined in the MAPINFO lump. A mod may include a custom MAPINFO lump
which changes the progression and/or the interlude animation order.

Consequently the Before/After InFine scripts, using Maplnfo definitions must be dynamically constructed during game init.

#3 - 2012-07-09 22:42 - danij

- labels: Data --> Hexen
- summary: [HeXen] Interludes can no longer be moved --> [Hexen] Interludes can no longer be moved

#4 - 2012-07-20 08:31 - vermil
Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/7711abdd/0186/attachment/CLUSTERTEST.WAD

#5 - 2012-08-27 20:02 - danij

- labels: Hexen --> Hexen, Addons

#6 - 2012-08-27 20:15 - skyjake

- summary: [Hexen] Interludes can no longer be moved --> [Hexen] Interludes can no longer be moved (MAPINFO vs. Infine)

#7 - 2013-10-22 14:58 - skyjake

- Tags set to InFine, Definitions, MapData, Hexen
- Category set to Redesign

- Target version deleted (1.9.9)

| suspect solving this properly would require a system that fully ties together Hexen's MAPINFO and the Map Info definitions.
#8 - 2013-10-22 23:31 - danij
Perhaps a mechanism that interprets Hexen's MAPINFO data into Doomsday Maplnfo definition patches which can be applied while the game is

loaded?

#9 - 2014-06-21 10:58 - vermil

I'm going to add that this seems to also affect end game triggers in HeXen and HeXen DK, as well as between hub interludes.
http://sourceforge.net/p/deng/bugs/_discuss/thread/7711abdd/0186/attachment/CLUSTERTEST.WAD

I've been playing a HeXen pwad that moves the end game trigger to a different map and said trigger doesn't function in Dday (but does in Vanilla
HeXen and GZDoom).

#10 - 2015-03-03 05:20 - danij

Now that the map progression is described in Episode definitions it follows that the interlude to be played during a specific transition should be defined
here also, with the old mechanism using InFine.Before/After definitions should be deprecated (retained for backward compatibility).

Moving the interlude information to the Episode def would also facilitate supporting ZDoom's extended MAPINFO mechanisms for this purpose
cleanly.

#11 - 2016-11-22 14:21 - skyjake

- Target version set to Modding
